# Uses of Interface
java.lang.foreign.MemorySegment.Scope

Packages that use MemorySegment.Scope
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

## Uses of MemorySegment.Scope in java.lang.foreign

Methods in java.lang.foreign that return MemorySegment.Scope
Modifier and Type
Method
Description
`MemorySegment.Scope`
Arena.`scope()`
Returns the arena scope.
`MemorySegment.Scope`
MemorySegment.`scope()`
Returns the scope associated with this memory segment.